package be.iminds.ilabt.jfed.connectivity_tester;

import java.net.Inet6Address;

/**
 * User: wvdemeer
 */
public class Resolve6Test extends ResolveTest {
    private static final String DEFAULT_IPV6_ADDRESS = "flsmonitor.fed4fire.eu";

    public Resolve6Test() {
        this(DEFAULT_IPV6_ADDRESS, true);
    }

    public Resolve6Test(String address, boolean useAlternativeResolver) {
        super("6", Inet6Address.class, address, useAlternativeResolver);
    }

    public Resolve6Test(String address, boolean useAlternativeResolver, String expectedAddress) {
        super("6", Inet6Address.class, address, useAlternativeResolver, expectedAddress);
    }
}
